}

It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like: Chrome, Firefox, Internet Explorer or Opera

×
arrow-down2arrowcart2close4fat-arrow-leftfat-arrow-rightfeedbackfriends2happy-facelogo-gognotificationnotifications-emptyownedremove-menusad-facesearch2wishlist-menuwishlisted2own_thingsheartstartick
Hello all,

I was playing W3 through the Galaxy client, and I'd already downloaded the German language pack (my default is English--don't know if it's sold that way just for the US and UK or for everyone) but I thought I'd try listening to Polish for a while. When I changed the language pack back to German, lo and behold, it has to do the whole nearly 3 GB download all over again?! What a silly waste of bandwidth.

How do I get language packs to stay downloaded OR download them independently of the Galaxy client?

Thanks,

José aka Papageno
Seriously?

I posted this question two plus years ago and there's no reply? I guess I'm going to contact support and ask them where the language assets are kept so I can just swap them out as needed. It's stupid that they won't stay downloaded. They did for the Witcher 1 EE.
galaxy has always had varying issues across games. it may very well be the case that galaxy won't keep language packs installed if you switch.

what you can try is download the language pack backup from your browser ( i don't know how it works in galaxy) and install that version. maybe you can disable auto update under galaxy for this particular game since game updates have ceased. that way galaxy won't unneccessarily update/delete content.
avatar
timmy010: galaxy has always had varying issues across games. it may very well be the case that galaxy won't keep language packs installed if you switch.

what you can try is download the language pack backup from your browser ( i don't know how it works in galaxy) and install that version. maybe you can disable auto update under galaxy for this particular game since game updates have ceased. that way galaxy won't unneccessarily update/delete content.
Thanks for the reply. I think I'm going to have to ask support anyway, though, because it's not at all obvious where the spoken language assets are kept in the game directory. I seem to always have spoken English + one other language available in the US version in GOG Galaxy. Also, I tried looking for a manual/browser version of the language pack download. Is it simply under the Library tab on the GOG website. If it is that intuitive, awesome but I kinda doubt it is.
avatar
Papageno: Thanks for the reply. I think I'm going to have to ask support anyway, though, because it's not at all obvious where the spoken language assets are kept in the game directory. I seem to always have spoken English + one other language available in the US version in GOG Galaxy. Also, I tried looking for a manual/browser version of the language pack download. Is it simply under the Library tab on the GOG website. If it is that intuitive, awesome but I kinda doubt it is.
of course you can ask support but you're most likely going to get a very basic response taking about a week. what you can try, is in your account section, you can download the game but if you click "more" you should have the option of additional language packs and classic installers. a quick breakdown

default installers contain an optional galaxy installer with the game.

classic installers do not contain a galaxy installer. should you want galaxy you need to download seperately. (of course you have galaxy already. it won't affect your installation, whichever option you choose) and finally

language packs - add-ons to your game
avatar
Papageno: Thanks for the reply. I think I'm going to have to ask support anyway, though, because it's not at all obvious where the spoken language assets are kept in the game directory. I seem to always have spoken English + one other language available in the US version in GOG Galaxy. Also, I tried looking for a manual/browser version of the language pack download. Is it simply under the Library tab on the GOG website. If it is that intuitive, awesome but I kinda doubt it is.
avatar
timmy010: of course you can ask support but you're most likely going to get a very basic response taking about a week. what you can try, is in your account section, you can download the game but if you click "more" you should have the option of additional language packs and classic installers. a quick breakdown

default installers contain an optional galaxy installer with the game.

classic installers do not contain a galaxy installer. should you want galaxy you need to download seperately. (of course you have galaxy already. it won't affect your installation, whichever option you choose) and finally

language packs - add-ons to your game
OK, found this page
( https://www.gog.com/downloader/listing/the_witcher_3_wild_hunt_game_of_the_year_edition_game ) with the classic installer links, but the links don't work without GOG Downloader installed (Firefox doesn't know what to do with them). Where to d/l GOG downloader--I did a search on the site and nothing was found. To the Googles I suppose.

Thanks for your help. Going to bed soon, but trying in the morning.
avatar
Papageno: OK, found this page
( https://www.gog.com/downloader/listing/the_witcher_3_wild_hunt_game_of_the_year_edition_game ) with the classic installer links, but the links don't work without GOG Downloader installed (Firefox doesn't know what to do with them). Where to d/l GOG downloader--I did a search on the site and nothing was found. To the Googles I suppose.

Thanks for your help. Going to bed soon, but trying in the morning.
"gog downloader" and "classic" are two different things. click the classic one. firefox should handle them fine :)
avatar
Papageno: OK, found this page
( https://www.gog.com/downloader/listing/the_witcher_3_wild_hunt_game_of_the_year_edition_game ) with the classic installer links, but the links don't work without GOG Downloader installed (Firefox doesn't know what to do with them). Where to d/l GOG downloader--I did a search on the site and nothing was found. To the Googles I suppose.

Thanks for your help. Going to bed soon, but trying in the morning.
avatar
timmy010: "gog downloader" and "classic" are two different things. click the classic one. firefox should handle them fine :)
Thanks. I wasn't seeing the language packs until I thought to, duh, change the language option on the top right of the pane. Still, unless I download and install the whole GotY separately as a non-Galaxy game, it appears that maybe I can't use the language packs, or can I?

Maybe part of the problem with my Galaxy installed version is that it's NOT the GotY but the original version (patched to current status, of course). I have bought the two expansions but haven't installed them. Don't know if doing so would automagically turn my Galaxy installed version into the GotY one, or whether that only happens if I install from the GotY entry that appeared in my library when I bought the expansions. Does the GotY Galaxy-managed version let you have more than two audio language tracks installed at a time (currently, for me, English + one other) , so you can just pick the audio track on the fly from the main menu, as one used to be able to do in Witcher 1 EE--so convenient?
avatar
Papageno: Thanks. I wasn't seeing the language packs until I thought to, duh, change the language option on the top right of the pane. Still, unless I download and install the whole GotY separately as a non-Galaxy game, it appears that maybe I can't use the language packs, or can I?

Maybe part of the problem with my Galaxy installed version is that it's NOT the GotY but the original version (patched to current status, of course). I have bought the two expansions but haven't installed them. Don't know if doing so would automagically turn my Galaxy installed version into the GotY one, or whether that only happens if I install from the GotY entry that appeared in my library when I bought the expansions. Does the GotY Galaxy-managed version let you have more than two audio language tracks installed at a time (currently, for me, English + one other) , so you can just pick the audio track on the fly from the main menu, as one used to be able to do in Witcher 1 EE--so convenient?
The installers are generally galaxy compatible. However whether they actually work as opposed to theoretically work, you will need to download and install :). Please note that goty is pretty different from original. In your situation i would do the none goty. In regards to the expansion, it should block you from installing if it cant find sufficient data i.e. needs expansions